hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Yu (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-11666) Enforce JDK7 javac for builds on branch-1 and master
Date Tue, 05 Aug 2014 15:14:12 GMT

     [ https://issues.apache.org/jira/browse/HBASE-11666?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ted Yu updated HBASE-11666:
---------------------------

       Resolution: Fixed
    Fix Version/s: 2.0.0
                   0.99.0
     Hadoop Flags: Reviewed
           Status: Resolved  (was: Patch Available)

Integrated to branch-1 and trunk.

Thanks for the patch, Sean.

> Enforce JDK7 javac for builds on branch-1 and master
> ----------------------------------------------------
>
>                 Key: HBASE-11666
>                 URL: https://issues.apache.org/jira/browse/HBASE-11666
>             Project: HBase
>          Issue Type: Task
>          Components: build, documentation
>    Affects Versions: 1.0.0, 2.0.0
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Minor
>             Fix For: 0.99.0, 2.0.0
>
>         Attachments: HBASE_11666-v1.patch, HBASE_11666-v2.patch, HBASE_11666-v3.patch
>
>
> Per [the discussion on JDK versions|http://search-hadoop.com/m/DHED4Zlz0R1], we require
Java 7 for 1.0+ (also we have code that only compiles under Java 7).
> Right now, if you attempt to build with JDK6, Maven will happily oblige and then give
you a cannot find symbol error about a Java 7 class we use.
> We should
> * update the Build HBase guide to reference our supported Java versions docs
> * update our pom so that Maven will correctly complain about jdk versions.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message